# Geometric-Primitives

This package defines 3D geometric primitives and their related features, which support the assembly of the geometric primitives to construct a 3D object.

## Installation

You can choose one of three installation options.

* From PyPI repository

To install the released version in PyPI repository, command it.

```shell
$ pip install geometric_primitives
```

* From source code

To install `geometric_primitives` from source code, command it.

```shell
$ pip install .
```

* From source code (editable mode)

To use editable development mode, command it.

```shell
$ pip install -r requirements.txt
$ python setup.py develop
```

## Uninstallation

If you would like to uninstall `geometric_primitives`, command it.

```shell
$ pip uninstall geometric_primitives
```

## Supported Brick Types
* 2 x 4 brick, which is encoded as `0` in this project
* 2 x 2 brick, which is encoded as `1`
* 1 x 2 brick, which is encoded as `2`

## Related Projects

* [Combinatorial-3D-Shape-Generation](https://github.com/POSTECH-CVLab/Combinatorial-3D-Shape-Generation)
* [Brick-by-Brick](https://github.com/POSTECH-CVLab/Brick-by-Brick)

## Contributor
* [Jungtaek Kim](http://jungtaek.github.io)

## Contact
* Jungtaek Kim: [jtkim@postech.ac.kr](mailto:jtkim@postech.ac.kr)

## License
[MIT License](LICENSE)
